Params-Validate-Dependencies

Metadata

Analyzed metadata and errors of Params-Validate-Dependencies.

{
   "author" : "DCANTRELL",
   "buildfile_executable" : 0,
   "dir_lib" : "lib",
   "dir_t" : "t",
   "dirs_array" : [
      "lib",
      "lib/Data",
      "lib/Data/Domain",
      "lib/Params",
      "lib/Params/Validate",
      "lib/Params/Validate/Dependencies",
      "t",
      "t/lib",
      "t/lib/Params",
      "t/lib/Params/Validate",
      "t/lib/Params/Validate/Dependencies"
   ],
   "dist" : "Params-Validate-Dependencies",
   "dynamic_config" : 1,
   "easily_repackageable_by_fedora" : "fits_fedora_license",
   "error" : {
      "consistent_version" : "1.01,1.21"
   },
   "extension" : "tar.gz",
   "extractable" : 1,
   "extracts_nicely" : 1,
   "file__build" : 0,
   "file_blib" : 0,
   "file_build" : 0,
   "file_changelog" : "CHANGELOG",
   "file_makefile" : 0,
   "file_makefile_pl" : "Makefile.PL",
   "file_manifest" : "MANIFEST",
   "file_meta_json" : "META.json",
   "file_meta_yml" : "META.yml",
   "file_pm_to_blib" : 0,
   "files_array" : [
      "CHANGELOG",
      "GPL2.txt",
      "META.json",
      "ARTISTIC.txt",
      "Makefile.PL",
      "META.yml",
      "MANIFEST",
      "lib/Data/Domain/Dependencies.pm",
      "lib/Params/Validate/Dependencies.pm",
      "lib/Params/Validate/Dependencies/Extending.pod",
      "lib/Params/Validate/Dependencies/Documenter.pm"
   ],
   "files_hash" : {
      "ARTISTIC.txt" : {
         "mtime" : 1313091761,
         "size" : 6111
      },
      "CHANGELOG" : {
         "mtime" : 1371406412,
         "size" : 870
      },
      "GPL2.txt" : {
         "mtime" : 1313091761,
         "size" : 17987
      },
      "MANIFEST" : {
         "mtime" : 1371406496,
         "size" : 634
      },
      "META.json" : {
         "mtime" : 1371406495,
         "size" : 1235
      },
      "META.yml" : {
         "mtime" : 1371406495,
         "size" : 710
      },
      "Makefile.PL" : {
         "mtime" : 1371048299,
         "size" : 594,
         "used" : [
            "ExtUtils::MakeMaker"
         ]
      },
      "lib/Data/Domain/Dependencies.pm" : {
         "license" : "GPL_1,GPL_2,GPL_3",
         "module" : "Data::Domain::Dependencies",
         "mtime" : 1371406077,
         "noed" : [
            "strict"
         ],
         "size" : 4324,
         "used" : [
            "Data::Domain",
            "Exporter",
            "Params::Validate::Dependencies",
            "Scalar::Util",
            "strict",
            "vars",
            "warnings"
         ]
      },
      "lib/Params/Validate/Dependencies.pm" : {
         "license" : "GPL_1,GPL_2,GPL_3",
         "module" : "Params::Validate::Dependencies",
         "mtime" : 1371406070,
         "noed" : [
            "strict",
            "warnings"
         ],
         "size" : 7885,
         "used" : [
            "Exporter",
            "PadWalker",
            "Params::Validate",
            "Params::Validate::Dependencies::Documenter",
            "Scalar::Util",
            "strict",
            "vars",
            "warnings"
         ]
      },
      "lib/Params/Validate/Dependencies/Documenter.pm" : {
         "module" : "Params::Validate::Dependencies::Documenter",
         "mtime" : 1314992971,
         "size" : 1311,
         "used" : [
            "Scalar::Util",
            "strict",
            "vars",
            "warnings"
         ]
      },
      "lib/Params/Validate/Dependencies/Extending.pod" : {
         "mtime" : 1371048715,
         "size" : 5972
      },
      "t/01-basics.t" : {
         "mtime" : 1313831459,
         "no_index" : 1,
         "size" : 2502,
         "used" : [
            "Params::Validate::Dependencies",
            "Test::More",
            "strict",
            "warnings"
         ]
      },
      "t/02-data-domain.t" : {
         "mtime" : 1353969777,
         "no_index" : 1,
         "size" : 804,
         "used" : [
            "Data::Domain",
            "Data::Domain::Dependencies",
            "Test::More",
            "strict",
            "warnings"
         ]
      },
      "t/03-autodoco.t" : {
         "mtime" : 1313785717,
         "no_index" : 1,
         "size" : 996,
         "used" : [
            "Params::Validate::Dependencies",
            "Test::More",
            "strict",
            "warnings"
         ]
      },
      "t/04-autodoco-dd.t" : {
         "mtime" : 1313785667,
         "no_index" : 1,
         "size" : 436,
         "used" : [
            "Data::Domain::Dependencies",
            "Test::More",
            "strict",
            "warnings"
         ]
      },
      "t/05-extra-validator-without-doco.t" : {
         "mtime" : 1313795264,
         "no_index" : 1,
         "size" : 2245,
         "used" : [
            "Data::Domain::Dependencies",
            "Params::Validate::Dependencies",
            "Test::More",
            "strict",
            "warnings"
         ]
      },
      "t/06-extra-validator-with-doco.t" : {
         "mtime" : 1314991361,
         "no_index" : 1,
         "size" : 2100,
         "used" : [
            "Data::Domain::Dependencies",
            "Params::Validate::Dependencies",
            "Params::Validate::Dependencies::two_of",
            "Test::More",
            "lib",
            "strict",
            "warnings"
         ]
      },
      "t/coverage.sh" : {
         "mtime" : 1314993186,
         "no_index" : 1,
         "size" : 136
      },
      "t/git-issue-1-return-values.t" : {
         "mtime" : 1371048283,
         "no_index" : 1,
         "size" : 1190,
         "used" : [
            "Params::Validate::Dependencies",
            "Test::More",
            "strict",
            "warnings"
         ]
      },
      "t/lib/Params/Validate/Dependencies/two_of.pm" : {
         "mtime" : 1313798813,
         "no_index" : 1,
         "size" : 711
      },
      "t/pod-coverage.t" : {
         "mtime" : 1353970198,
         "no_index" : 1,
         "size" : 531,
         "used" : [
            "strict"
         ],
         "used_in_eval" : [
            "Test::Pod::Coverage"
         ]
      },
      "t/pod.t" : {
         "mtime" : 1313619418,
         "no_index" : 1,
         "size" : 210,
         "used" : [
            "strict"
         ],
         "used_in_eval" : [
            "Test::Pod"
         ]
      }
   },
   "got_prereq_from" : "META.yml",
   "kwalitee" : {
      "buildtool_not_executable" : 1,
      "consistent_version" : 0,
      "distname_matches_name_in_meta" : 1,
      "easily_repackageable_by_debian" : 1,
      "easily_repackageable_by_fedora" : 0,
      "extractable" : 1,
      "extracts_nicely" : 1,
      "fits_fedora_license" : 0,
      "has_abstract_in_pod" : 0,
      "has_buildtool" : 1,
      "has_changelog" : 1,
      "has_human_readable_license" : 1,
      "has_known_license_in_source_file" : 1,
      "has_license_in_source_file" : 1,
      "has_manifest" : 1,
      "has_meta_yml" : 1,
      "has_proper_version" : 1,
      "has_readme" : 0,
      "has_separate_license_file" : 0,
      "has_tests" : 1,
      "has_tests_in_t_dir" : 1,
      "has_version" : 1,
      "kwalitee" : "88.64",
      "manifest_matches_dist" : 1,
      "meta_json_conforms_to_known_spec" : 1,
      "meta_json_is_parsable" : 1,
      "meta_yml_conforms_to_known_spec" : 1,
      "meta_yml_declares_perl_version" : 0,
      "meta_yml_has_license" : 0,
      "meta_yml_has_provides" : 0,
      "meta_yml_has_repository_resource" : 1,
      "meta_yml_is_parsable" : 1,
      "no_abstract_stub_in_pod" : 1,
      "no_broken_auto_install" : 1,
      "no_broken_module_install" : 1,
      "no_dot_dirs" : 1,
      "no_dot_underscore_files" : 1,
      "no_generated_files" : 1,
      "no_invalid_versions" : 1,
      "no_local_dirs" : 1,
      "no_mymeta_files" : 1,
      "no_pax_headers" : 1,
      "no_pod_errors" : 1,
      "no_stdin_for_prompting" : 1,
      "no_symlinks" : 1,
      "package_version_matches_dist_version" : 1,
      "portable_filenames" : 1,
      "proper_libs" : 1,
      "use_strict" : 1,
      "use_warnings" : 1,
      "valid_signature" : 1
   },
   "latest_mtime" : 1371406496,
   "license" : "defined in POD (lib/Data/Domain/Dependencies.pm)",
   "license_in_pod" : 1,
   "licenses" : {
      "GPL_1" : [
         "lib/Data/Domain/Dependencies.pm",
         "lib/Params/Validate/Dependencies.pm"
      ],
      "GPL_2" : [
         "lib/Data/Domain/Dependencies.pm",
         "lib/Params/Validate/Dependencies.pm"
      ],
      "GPL_3" : [
         "lib/Data/Domain/Dependencies.pm",
         "lib/Params/Validate/Dependencies.pm"
      ]
   },
   "manifest_matches_dist" : 1,
   "meta_json_is_parsable" : 1,
   "meta_json_spec_version" : "2",
   "meta_yml" : {
      "abstract" : "unknown",
      "author" : [
         "unknown"
      ],
      "build_requires" : {
         "ExtUtils::MakeMaker" : "0"
      },
      "configure_requires" : {
         "ExtUtils::MakeMaker" : "0"
      },
      "dynamic_config" : "1",
      "generated_by" : "ExtUtils::MakeMaker version 6.6302, CPAN::Meta::Converter version 2.120630",
      "license" : "unknown",
      "meta-spec" : {
         "url" : "http://module-build.sourceforge.net/META-spec-v1.4.html",
         "version" : "1.4"
      },
      "name" : "Params-Validate-Dependencies",
      "no_index" : {
         "directory" : [
            "t",
            "inc"
         ]
      },
      "requires" : {
         "Data::Domain" : "1.02",
         "PadWalker" : "1.96",
         "Params::Validate" : "1.07",
         "Scalar::Util" : "1.25"
      },
      "resources" : {
         "bugtracker" : "https://github.com/DrHyde/perl-modules-Params-Validate-Dependencies/issues",
         "repository" : "https://github.com/DrHyde/perl-modules-Params-Validate-Dependencies"
      },
      "version" : "1.21"
   },
   "meta_yml_is_parsable" : 1,
   "meta_yml_spec_version" : "1.4",
   "modules" : [
      {
         "file" : "lib/Data/Domain/Dependencies.pm",
         "in_basedir" : 0,
         "in_lib" : 1,
         "module" : "Data::Domain::Dependencies"
      },
      {
         "file" : "lib/Params/Validate/Dependencies.pm",
         "in_basedir" : 0,
         "in_lib" : 1,
         "module" : "Params::Validate::Dependencies"
      },
      {
         "file" : "lib/Params/Validate/Dependencies/Documenter.pm",
         "in_basedir" : 0,
         "in_lib" : 1,
         "module" : "Params::Validate::Dependencies::Documenter"
      }
   ],
   "no_index" : "^inc/;^t/",
   "no_pax_headers" : 1,
   "package" : "Params-Validate-Dependencies-1.21.tar.gz",
   "prereq" : [
      {
         "is_prereq" : 1,
         "requires" : "Params::Validate",
         "type" : "runtime_requires",
         "version" : "1.07"
      },
      {
         "is_build_prereq" : 1,
         "requires" : "ExtUtils::MakeMaker",
         "type" : "build_requires",
         "version" : "0"
      },
      {
         "requires" : "ExtUtils::MakeMaker",
         "type" : "configure_requires",
         "version" : "0"
      },
      {
         "is_prereq" : 1,
         "requires" : "Data::Domain",
         "type" : "runtime_requires",
         "version" : "1.02"
      },
      {
         "is_prereq" : 1,
         "requires" : "Scalar::Util",
         "type" : "runtime_requires",
         "version" : "1.25"
      },
      {
         "is_prereq" : 1,
         "requires" : "PadWalker",
         "type" : "runtime_requires",
         "version" : "1.96"
      }
   ],
   "released_epoch" : 1371406853,
   "size_packed" : 19283,
   "size_unpacked" : 59494,
   "unknown_license_texts" : {
      "lib/Params/Validate/Dependencies/Extending.pod" : "=head1 COPYRIGHT and LICENCE\n\nCopyright 2011 David Cantrell E<lt>F<david@cantrell.org.uk>E<gt>\n\nThis documentation is free-as-in-speech software.  It may be used, distributed, and modified under the terms of the Creative Commons Attribution-Share Alike 2.0 UK: England & Wales License, whose text you may read at L<http://creativecommons.org/licenses/by-sa/2.0/uk/>.\n\n"
   },
   "uses" : {
      "noed_in_code" : {
         "strict" : 3,
         "warnings" : 1
      },
      "used_in_code" : {
         "Data::Domain" : 1,
         "Exporter" : 2,
         "PadWalker" : 1,
         "Params::Validate" : 1,
         "Scalar::Util" : 3,
         "strict" : 3,
         "vars" : 3,
         "warnings" : 3
      },
      "used_in_config" : {
         "ExtUtils::MakeMaker" : 1
      },
      "used_in_eval_in_tests" : {
         "Test::Pod" : 1,
         "Test::Pod::Coverage" : 1
      },
      "used_in_tests" : {
         "Data::Domain" : 1,
         "Test::More" : 7,
         "lib" : 1,
         "strict" : 9,
         "warnings" : 7
      }
   },
   "valid_signature" : -1,
   "version" : "1.21",
   "versions" : {
      "lib/Data/Domain/Dependencies.pm" : {
         "Data::Domain::Dependencies" : "1.21"
      },
      "lib/Params/Validate/Dependencies.pm" : {
         "Params::Validate::Dependencies" : "1.21"
      },
      "lib/Params/Validate/Dependencies/Documenter.pm" : {
         "Params::Validate::Dependencies::Documenter" : "1.01"
      }
   },
   "vname" : "Params-Validate-Dependencies-1.21"
}